Skip to main content
POST
/
personas
Create persona
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/personas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "personas": [
    {
      "name": "<string>",
      "prompt": "<string>",
      "successCriteria": "<string>",
      "tags": [
        "<string>"
      ],
      "agentIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    }
  ]
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "personas": [
        {
          "id": "<string>",
          "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "prompt": "<string>",
          "successCriteria": "<string>",
          "tags": [
            "<string>"
          ],
          "agentIds": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ],
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "createdBy": "<string>",
          "updatedBy": "<string>",
          "versionNumber": 123
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
personas
object[]
required
Required array length: 1 - 200 elements

Response

Persona created

success
enum<boolean>
required
Available options:
true
data
object
required